# Uses of Class
org.eclipse.net4j.util.ui.chat.ChatRenderer

Packages that use ChatRenderer
Package
Description
org.eclipse.net4j.util.ui.chat

## Uses of ChatRenderer in org.eclipse.net4j.util.ui.chat

Methods in org.eclipse.net4j.util.ui.chat that return ChatRenderer
Modifier and Type
Method
Description
`ChatRenderer`
ChatRenderer.Factory.`create(String description)`
`ChatRenderer`
ChatComposite.Config.`getChatRenderer()`
Methods in org.eclipse.net4j.util.ui.chat with parameters of type ChatRenderer
Modifier and Type
Method
Description
`protected void`
ChatRenderer.Bubble.`renderHTML(ChatRenderer renderer, StringBuilder html, Map<String,Object> properties)`
`protected void`
ChatRenderer.BubbleGroup.`renderHTML(ChatRenderer renderer, StringBuilder html, Map<String,Object> properties)`
`protected void`
ChatRenderer.DateLine.`renderHTML(ChatRenderer renderer, StringBuilder html, Map<String,Object> properties)`
`protected abstract void`
ChatRenderer.Renderable.`renderHTML(ChatRenderer renderer, StringBuilder html, Map<String,Object> properties)`
`void`
ChatComposite.Config.`setChatRenderer(ChatRenderer chatRenderer)`